Add an alg in the new modeler with a ParameterFile

2014-07-03 04:01 AM - Etienne Trimaille

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19173

Description

In the new modeler, I can't add an algo with a ParameterFile :

Traceback (most recent call last):

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 87, in _dropEvent

    self._addAlgorithm(alg.getCopy(), event.pos())

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerDialog.py", line 406, in _addAlgorithm

    dlg = ModelerParametersDialog(alg, self.alg)

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 81, in __init__

    self.setupUi()

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 135, in setupUi

    widget = self.getWidgetFromParameter(param)

  File "/home/etienne/.qgis2/python/plugins/processing/modeler/ModelerParametersDialog.py", line 359, in

getWidgetFromParameter

    files = self.getFiles()

AttributeError: 'ModelerParametersDialog' object has no attribute 'getFiles'

History

#1 - 2014-07-03 04:08 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2014-07-08 02:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed here

#d8eee4e56a42074549a0a941ac7d2835ef307ff1

#3 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
